API reference
Support
API reference descriptions are provided in English to preserve the exact published contract.
List delegated support-access grants
GET /v1/accounts/{AC}/support-access
getV1AccountsByAcSupportAccessPaginated200
Required scope: any one of `support_access:grant`, `audit:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
state | query · "active" | "history" | "all" | | |
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Create single-use customer consent for delegated support access
POST /v1/accounts/{AC}/support-access/consents
postV1AccountsByAcSupportAccessConsentsIdempotency-Key required201
Required scope: `support_access:grant`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (3 fields)
Request body| Name | Type | Required | Description |
|---|
caseRef | string (max 128 chars) | yes | |
scopes | string (max 64 chars)[] | yes | |
stepUpToken | string (max 256 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Quarterly delegated-access review
GET /v1/accounts/{AC}/support-access/review
getV1AccountsByAcSupportAccessReview200
Required scope: `audit:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Get a delegated support-access grant
GET /v1/accounts/{AC}/support-access/{grantId}
getV1AccountsByAcSupportAccessByGrantid200
Required scope: any one of `support_access:grant`, `audit:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
grantId | path · string (uuid) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
End delegated support access
POST /v1/accounts/{AC}/support-access/{grantId}/end
postV1AccountsByAcSupportAccessByGrantidEndIdempotency-Key required200
Required scope: any one of `support_access:grant`, `support_access:request`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
grantId | path · string (uuid) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
List support cases for the customer account
GET /v1/accounts/{AC}/support-cases
getV1AccountsByAcSupportCasesPaginated200
Required scope: any one of `support_access:grant`, `audit:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
limit | query · integer (1–100) | | |
cursor | query · string (max 2048 chars) | | |
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Open a support case
POST /v1/accounts/{AC}/support-cases
postV1AccountsByAcSupportCasesIdempotency-Key required201
Required scope: `support_access:grant`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (4 fields)
Request body| Name | Type | Required | Description |
|---|
kind | "AMBIGUOUS_SEND" | "BILLING" | "IDENTITY" | "META_ASSET" | "PRIVACY" | "INCIDENT" | "GENERAL" | yes | |
priority | "P0" | "P1" | "P2" | "P3" | yes | |
resourceRef | string (max 128 chars) | | |
summary | string (max 500 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Get a support case and its related audit trail
GET /v1/accounts/{AC}/support-cases/{CS}
getV1AccountsByAcSupportCasesByCs200
Required scope: any one of `support_access:grant`, `audit:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
CS | path · string (CS… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Close a support case
POST /v1/accounts/{AC}/support-cases/{CS}/close
postV1AccountsByAcSupportCasesByCsCloseIdempotency-Key required200
Required scope: `support_access:grant`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
CS | path · string (CS… SID) | yes | |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
body | string (max 5000 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Reply to a support case
POST /v1/accounts/{AC}/support-cases/{CS}/messages
postV1AccountsByAcSupportCasesByCsMessagesIdempotency-Key required201
Required scope: `support_access:grant`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
CS | path · string (CS… SID) | yes | |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
body | string (max 5000 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Reopen a resolved or closed support case
POST /v1/accounts/{AC}/support-cases/{CS}/reopen
postV1AccountsByAcSupportCasesByCsReopenIdempotency-Key required200
Required scope: `support_access:grant`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
CS | path · string (CS… SID) | yes | |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
body | string (max 5000 chars) | | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.